Retrieve all images
Fetches all images associated with an app Deprecated: use GET /api/v2/{team_slug}/{app_slug}/dam/images instead.
GET
/api/v1/{team_slug}/{app_slug}/imagesdeprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
attribute-idstring[]Filter by attribute IDs
searchstringSearch by filename
sort-orderstringSort order. Should be one of ASC or DESC. Default DESC
sort-keystringThe key to sort on. Can be one of created_at, updated_at, title, and alt (Default is created_at)
pageintegerPage number (default is 1)
per-pageintegerAmount of images per page. Minimum 0 and max 100 (default is 20)
Responses
200
List of app images
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Image[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Imagealtstring | nullapp_idstring | nullattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nullblurhashstringcopyrightstring | nullcustomobject | nullfolder_idstringidstringparent_idstring | nullpublicbooleanstatusstringtitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslationShow propertiesHide properties
altgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringcopyrightgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nulltitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullurlstringsuccessbooleantotalintegertotal_pagesinteger401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired